| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IEmotionsEstimator Struct Referenceabstract
Estimators

Emotions estimator interface. More...

`#include <IEmotionsEstimator.h>`

Inheritance diagram for fsdk::IEmotionsEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, EmotionsEstimation &estimation) const noexcept=0
| Estimate the attributes. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< EmotionsEstimation > emotionEstimations) const noexcept=0
| Estimate the attributes of multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Emotions estimator interface.

Note
  This estimator is designed to work with a person face image; you should pass a warped face detection image obtained from IWarper.

See also
  IWarper for details. Emotions estimator detects set of emotions depiceted on given face.
  EmotionsEstimation for output details.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IEmotionsEstimator::estimate | ( | const Image & | warp,
|  | EmotionsEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate the attributes.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation of emotions.

See also
  EmotionsEstimation for details

Returns
  Result with error code.

See also
  EmotionsEstimation, Image, Result and FSDKError for details.

Note
  if warp format is not R8 it will be converted to R8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IEmotionsEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< EmotionsEstimation > | emotionEstimations
| ) |  | const
| pure virtual noexcept

Estimate the attributes of multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | emotionEstimations | output EmotionEstimation span.

See also
  EmotionEstimation for details

Returns
  Result with error code.

See also
  Span, EmotionsEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IEmotionsEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IEmotionsEstimator.h